Bug 511339 - Splitt package in a server and a client subpackage
Summary: Splitt package in a server and a client subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: miredo
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jens Kuehnel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-14 18:41 UTC by Jochen Schmitt
Modified: 2009-08-27 02:18 UTC (History)
1 user (show)

Fixed In Version: 1.1.7-4.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-27 02:08:28 UTC
Type: ---


Attachments (Terms of Use)

Description Jochen Schmitt 2009-07-14 18:41:03 UTC
I have tooken a look on the miredo package and have to find out, that you provide the client and the server component in one package.

From a security view, this is a bad behaviour, because the most user may only need the client component of this application.

So it makes sense for me to split this package into several subpackage where the client and server part of the application are separated on diffent subpackages.

Comment 1 Jens Kuehnel 2009-07-14 21:05:52 UTC
I didn't split the package, because to use the server component has to be configured before you can start and use it. The miredo-server and miredo-client component would only be a couple of kbs in size.

That was the reson for me not to split the package, but I will think about it.

Comment 2 Jochen Schmitt 2009-07-15 14:33:08 UTC
OK, size is not matter, because it's a small package. But my main focus was a security view to avoid installing unnecessary server components on machines where they are not needed.

Even if you have to configure the server it's a bad idea to install a server component on a system where they are not needed. aspecially on a so-called bastion host.

Comment 3 Jens Kuehnel 2009-07-19 11:15:07 UTC
I'm splitting it at the moment. I hope next week I can push the update out.

Comment 4 Fedora Update System 2009-07-25 13:43:23 UTC
miredo-1.1.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/miredo-1.1.7-2.fc11

Comment 5 Fedora Update System 2009-07-25 14:00:16 UTC
miredo-1.1.7-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/miredo-1.1.7-2.fc10

Comment 6 Fedora Update System 2009-07-27 21:33:53 UTC
miredo-1.1.7-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update miredo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8030

Comment 7 Fedora Update System 2009-07-27 21:39:37 UTC
miredo-1.1.7-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update miredo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8052

Comment 8 Fedora Update System 2009-08-06 10:18:38 UTC
miredo-1.1.7-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/miredo-1.1.7-4.fc11

Comment 9 Fedora Update System 2009-08-06 10:19:21 UTC
miredo-1.1.7-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/miredo-1.1.7-4.fc10

Comment 10 Fedora Update System 2009-08-07 05:04:46 UTC
miredo-1.1.7-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update miredo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8343

Comment 11 Fedora Update System 2009-08-07 05:04:51 UTC
miredo-1.1.7-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update miredo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8344

Comment 12 Fedora Update System 2009-08-27 02:08:24 UTC
miredo-1.1.7-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-08-27 02:18:32 UTC
miredo-1.1.7-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.